Subject: [netatalk-admins] afp_openfork: ad_open errors

From: Craig A Summerhill <[email-masked]>
Date: Tue, 20 Apr 1999 11:22:54 -0400 (EDT)

Netatalk admins, 

Environment is P6/200 w/ Red Hat Linux 5.1 and netatalk-1.4b2+asun2.1.3.

I have discovered a fair number of these errors in the /var/log/messages 

   Apr 19 07:05:41 mx afpd[2488]: ASIP session:548(2) from 192.100.21.65:2049(0)
   Apr 19 07:05:41 mx afpd[2488]: login user (uid 275, gid 84)
   Apr 19 07:06:03 mx afpd[2488]: afp_openfork: ad_open: Input/output error
   Apr 19 10:11:46 mx afpd[2488]: afp_openfork: ad_open: Input/output error
   Apr 19 13:13:13 mx afpd[2488]: afp_openfork: ad_open: Input/output error

Can anybody tell me what these errors indicate?  Is this something to 
worry about?  99% of these errors seem to be generated by one user from 
the same machine, although they appear during different afpd sessions.  

Any help?
-- 

   Craig A. Summerhill, Systems Coordinator and Program Officer
   Coalition for Networked Information
   21 Dupont Circle, N.W., Washington, D.C.   20036
   Internet: [email-masked]   AT&Tnet (202) 296-5098

---

From: Heinz Nabielek <[email-masked]>
Date: Tue, 20 Apr 1999 18:25:30 +0200

> the same machine, although they appear during different afpd sessions.

I have occasionally similar ones
with "byte lock"

Also would like to know what this means?
Heinz

---

From: [email-masked]
Date: Mon, 12 Apr 1999 15:00:41 +0200 (CEST)

>    Apr 19 07:06:03 mx afpd[2488]: afp_openfork: ad_open: Input/output error
guess:
afp_openfork is the way afpd tries to handle the ressource-part of an
apple-file
ad_open means AppleDouble_open
AppleDouble is afpd's way to represent the res.-fork
so:
either in that Volume is no .AppleDouble or the user has no write-perm.
to it

thomas